OpenNMS API 1.2.9

## org.opennms.web.outage
Class OutageUtil

    java.lang.Object
      org.opennms.web.outage.OutageUtil

public abstract class OutageUtil
extends java.lang.Object

Field Summary
`protected static java.lang.String` `DOWN_COLOR`
`static java.lang.String` `FILTER_SERVLET_URL_BASE`
`protected static java.lang.String[]` `LINK_IGNORES`
`protected static java.util.HashMap` `outTypes`
`protected static java.util.HashMap` `sortStyles`

Constructor Summary
`OutageUtil()`

Method Summary
`static Filter` `getFilter(java.lang.String filterString)`
`static java.lang.String` `getFilterString(Filter filter)`
`static OutageFactory.OutageType` `getOutageType(java.lang.String outTypeString)`
`static java.lang.String` `getOutageTypeString(OutageFactory.OutageType outType)`
`static OutageFactory.SortStyle` `getSortStyle(java.lang.String sortStyleString)`
`static java.lang.String` `getSortStyleString(OutageFactory.SortStyle sortStyle)`
`static java.lang.String` `getStatusColor(Outage outage)` Returns the color to use for an outage, if no color then it returns null.
`static java.lang.String` `getStatusLabel(Outage outage)` Returns the icon to use for an outage, if no icon then it returns null.
`static java.lang.String` `makeHiddenTags(javax.servlet.http.HttpServletRequest request, OutageFactory.SortStyle sortStyle, OutageFactory.OutageType outageType, java.util.ArrayList filters, int limit)`
`static java.lang.String` `makeHiddenTags(javax.servlet.http.HttpServletRequest request, OutageQueryParms parms)`
`static java.lang.String` `makeHiddenTags(javax.servlet.http.HttpServletRequest request, OutageQueryParms parms, java.util.ArrayList filters)`
`static java.lang.String` `makeHiddenTags(javax.servlet.http.HttpServletRequest request, OutageQueryParms parms, Filter filter, boolean add)`
`static java.lang.String` `makeHiddenTags(javax.servlet.http.HttpServletRequest request, OutageQueryParms parms, OutageFactory.OutageType outageType)`
`static java.lang.String` `makeHiddenTags(javax.servlet.http.HttpServletRequest request, OutageQueryParms parms, OutageFactory.SortStyle sortStyle)`
`static java.lang.String` `makeLink(javax.servlet.http.HttpServletRequest request, OutageFactory.SortStyle sortStyle, OutageFactory.OutageType outageType, java.util.ArrayList filters, int limit)`
`static java.lang.String` `makeLink(javax.servlet.http.HttpServletRequest request, OutageQueryParms parms)`
`static java.lang.String` `makeLink(javax.servlet.http.HttpServletRequest request, OutageQueryParms parms, java.util.ArrayList filters)`
`static java.lang.String` `makeLink(javax.servlet.http.HttpServletRequest request, OutageQueryParms parms, Filter filter, boolean add)`
`static java.lang.String` `makeLink(javax.servlet.http.HttpServletRequest request, OutageQueryParms parms, OutageFactory.OutageType outageType)`
`static java.lang.String` `makeLink(javax.servlet.http.HttpServletRequest request, OutageQueryParms parms, OutageFactory.SortStyle sortStyle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sortStyles

    protected static final java.util.HashMap sortStyles

### outTypes

    protected static final java.util.HashMap outTypes

### DOWN_COLOR

    protected static final java.lang.String DOWN_COLOR

See Also:
  Constant Field Values

### FILTER_SERVLET_URL_BASE

    public static final java.lang.String FILTER_SERVLET_URL_BASE

See Also:
  Constant Field Values

### LINK_IGNORES

    protected static final java.lang.String[] LINK_IGNORES

Constructor Detail

### OutageUtil

    public OutageUtil()

Method Detail

### getSortStyle

    public static OutageFactory.SortStyle getSortStyle(java.lang.String sortStyleString)

### getSortStyleString

    public static java.lang.String getSortStyleString(OutageFactory.SortStyle sortStyle)

### getOutageType

    public static OutageFactory.OutageType getOutageType(java.lang.String outTypeString)

### getOutageTypeString

    public static java.lang.String getOutageTypeString(OutageFactory.OutageType outType)

### getFilter

    public static Filter getFilter(java.lang.String filterString)

### getFilterString

    public static java.lang.String getFilterString(Filter filter)

### getStatusColor

    public static java.lang.String getStatusColor(Outage outage)

  Returns the color to use for an outage, if no color then it returns null.

### getStatusLabel

    public static java.lang.String getStatusLabel(Outage outage)

  Returns the icon to use for an outage, if no icon then it returns null.

### makeLink

    public static java.lang.String makeLink(javax.servlet.http.HttpServletRequest request,
                                            OutageFactory.SortStyle sortStyle,
                                            OutageFactory.OutageType outageType,
                                            java.util.ArrayList filters,
                                            int limit)

### makeLink

    public static java.lang.String makeLink(javax.servlet.http.HttpServletRequest request,
                                            OutageQueryParms parms)

### makeLink

    public static java.lang.String makeLink(javax.servlet.http.HttpServletRequest request,
                                            OutageQueryParms parms,
                                            OutageFactory.SortStyle sortStyle)

### makeLink

    public static java.lang.String makeLink(javax.servlet.http.HttpServletRequest request,
                                            OutageQueryParms parms,
                                            OutageFactory.OutageType outageType)

### makeLink

    public static java.lang.String makeLink(javax.servlet.http.HttpServletRequest request,
                                            OutageQueryParms parms,
                                            java.util.ArrayList filters)

### makeLink

    public static java.lang.String makeLink(javax.servlet.http.HttpServletRequest request,
                                            OutageQueryParms parms,
                                            Filter filter,
                                            boolean add)

### makeHiddenTags

    public static java.lang.String makeHiddenTags(javax.servlet.http.HttpServletRequest request,
                                                  OutageFactory.SortStyle sortStyle,
                                                  OutageFactory.OutageType outageType,
                                                  java.util.ArrayList filters,
                                                  int limit)

### makeHiddenTags

    public static java.lang.String makeHiddenTags(javax.servlet.http.HttpServletRequest request,
                                                  OutageQueryParms parms)

### makeHiddenTags

    public static java.lang.String makeHiddenTags(javax.servlet.http.HttpServletRequest request,
                                                  OutageQueryParms parms,
                                                  OutageFactory.SortStyle sortStyle)

### makeHiddenTags

    public static java.lang.String makeHiddenTags(javax.servlet.http.HttpServletRequest request,
                                                  OutageQueryParms parms,
                                                  OutageFactory.OutageType outageType)

### makeHiddenTags

    public static java.lang.String makeHiddenTags(javax.servlet.http.HttpServletRequest request,
                                                  OutageQueryParms parms,
                                                  java.util.ArrayList filters)

### makeHiddenTags

    public static java.lang.String makeHiddenTags(javax.servlet.http.HttpServletRequest request,
                                                  OutageQueryParms parms,
                                                  Filter filter,
                                                  boolean add)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.